GROUPMEMS(8)

NOME
groupmems - membri amministratori del gruppo primario dell'utente

SINOSSI

groupmems -a user_name | -d user_name | [-g group_name] | -l | -p

DESCRIZIONE

Il comando groupmems permette a utenti di amministrare la lista di membri del proprio gruppo senza richiedere i privilegi di amministratore. Il comando groupmems è per sistemi che configurano gli utenti perché siano in un gruppo primario con lo stesso nome dell'utente (esempio: guest/guest).

Solo il super utente, come amministratore, può utilizzare groupmems per modificare l'elenco di membri di altri gruppi.

OPZIONI

Il comando groupmems accetta le seguenti opzioni:

-a, --add user_name
    Add a user to the group membership list.

    Se esiste il file /etc/gshadow e il gruppo non vi è presente, viene aggiunto.

-d, --delete user_name
    Cancella un utente dall'elenco degli utenti del gruppo.

    Se esiste il file /etc/gshadow, l'utente verrà rimosso dalle liste di utenti e amministratori del gruppo.

    Se esiste il file /etc/gshadow e il gruppo non vi è presente, viene aggiunto.

-g, --group group_name
    Il super utente può specificare quale elenco di membri del gruppo modificare.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-l, --list
    Elenca tutti i membri del gruppo.

-p, --purge
    Elimina tutti gli utenti dalla lista dei membri del gruppo.

    Se esiste il file /etc/gshadow e il gruppo non vi è presente, viene aggiunto.

-R, --root CHROOT_DIR
    Effettua le modifiche nella directory CHROOT_DIR e usa i file di configurazione dalla directory CHROOT_DIR.

CONFIGURAZIONE

L'eseguibile groupmems dovrebbe avere i permessi 2770 ed essere di proprietà di root e del gruppo groups. L'amministratore di sistema può aggiungere utenti al gruppo groups per permettere loro di poter gestire l'elenco di membri del proprio gruppo tramite il comando groupmems.

            $ groupadd -r groups
            $ chmod 2770 groupmems
            $ chown root.groups groupmems
            $ groupmems -g groups -a gk4

CONFIGURAZIONE

Le seguenti variabili di configurazione in /etc/login.defs cambiano il comportamento di questo strumento:

MAX_MEMBERS_PER_GROUP (numero)
    Numero massimo di membri per gruppo. Quando viene raggiunto il massimo, viene creata una nuova riga per il gruppo nel file /etc/group (con lo stesso nome, stessa password e stesso GID).

    Il valore predefinito è 0, che non pone nessun limite al numero di membri per gruppo.

    Questa opzione (dividi gruppo) permette di limitare la lunghezza delle righe nel file «group». Questo è utile per essere certi che le righe per gruppi NIS non eccedano i 1024 caratteri.

    Se si deve impostare questo limite, si può usare 25.

    Nota: la divisione dei gruppi potrebbe non essere supportata da ogni strumento (anche all'interno del pacchetto Shadow). Non si dovrebbe utilizzare questa variabile a meno di esserci forzati.

FILE

/etc/group
    Informazioni sugli account di gruppo.

/etc/gshadow
    informazioni sicure sugli account di gruppo

VEDERE ANCHE

chfn(1), chsh(1), passwd(1), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8).